'PICAXE 28X2'
setfreq m16
dirsA = %00011100
dirsB = %11111111
dirsC = %11111111

symbol Column = B0
symbol Green = B1
symbol Red = B2
symbol Command = B3
symbol Counter = B4
symbol LoopControl = B5
symbol MaxTimes = 50

CountDown:
Nine:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,129,173,173,161,255,255),Green  
      Red = 255 - Green 
      gosub IncrementColumn
    next
  next
   
Eight:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,129,181,181,129,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
  
Seven:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,241,237,221,189,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
      
Six:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,141,173,173,129,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
    
Five:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,133,181,181,177,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
  
Four:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,131,239,239,225,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
      
Three:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,129,173,173,173,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
    
Two:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,161,173,173,141,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
  
One:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,191,129,189,255,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
  
Zero:
  for LoopControl = 1 to MaxTimes
    for B8 = 0 to 7
      lookup B8,(255,255,129,189,189,129,255,255),Green
      Red = 255 - Green
      gosub IncrementColumn      
    next
  next
 
Flash:
  for B7 = 1 to 5 

AllRed:
    for LoopControl = 1 to 10
      Green = 0
      Red = 255
      for B6 = 1 to 8 
        gosub IncrementColumn
      next
    next
  
AllGreen:
    for LoopControl = 1 to 10
      Green = 255
      Red = 0
      for B6 = 1 to 8 
        gosub IncrementColumn
      next
    next  
  next
  
AllYellow:  
    for LoopControl = 1 to 100
      Green = 255
      Red = 255
      for B6 = 1 to 8 
        gosub IncrementColumn
      next
    next    

Blank:
  Green = 0
  Red = 0
  gosub IncrementColumn  
  end  
    
IncrementColumn:  
  Column = Counter *4
  pinsA = Column 
  pinsB = Red   
  pinsC = Green
  Counter = Counter + 1
  if Counter = 8 then
    Counter = 0
  endif
    
  return 

